function [xopt, fopt, stat] = run_normal_Kriging_example()
% [xopt, fopt, stat] = run_normal_Kriging_example()
%
%  An example run of the normal Kriging based RO method.
%
% Input:
%
%
% Output:
%   xopt           - a vector containing the location of the optimum
%   fopt           - the objective function value of the optimum
%   stat           - a MATLAB struct containing algorithm
%                    specific output statistics
%
% Author: Johannes W. Kruisselbrink
% Last modified: November 20, 2009

	fitnessfct = @heavyside_sphere;
	N = 5;
	stopeval = 5000;
	epsilon = -1;
	lb = -10 * ones(N,1);
	ub = 10 * ones(N,1);
	delta = 1 * ones(N,1);

	param.m = 10;
	param.doplot = true;
	param.nb_select = @lhsu_reference_nb_select;
	param.kriging_method = 'normal';
	[xopt, fopt, stat] = ro_cmaes_kriging(fitnessfct, N, lb, ub, delta, stopeval, epsilon, param);
